import 'dart:async';

import 'package:flutter/services.dart';

class LocationPlugin {
  static const MethodChannel _channel = const MethodChannel('location_plugin');

  static Future<Map<String, dynamic>> get getLocation async {
    final result = await _channel.invokeMethod('getMyLocation');
    Map<String, dynamic> map = new Map<String, dynamic>.from(result);
    return map;
  }
}
